Subject: Re: [PATCH net] net: ethernet: mtk_wed: fix possible NULL pointer dereference in mtk_wed_wo_queue_tx_clean()

From: Simon Horman <[email-masked]>
Date: Mon, 18 Dec 2023 17:55:48 +0000

On Sun, Dec 17, 2023 at 04:37:40PM +0100, Lorenzo Bianconi wrote:
> In order to avoid a NULL pointer dereference, check entry->buf pointer before running
> skb_free_frag in mtk_wed_wo_queue_tx_clean routine.
> 
> Fixes: 799684448e3e ("net: ethernet: mtk_wed: introduce wed wo support")
> Signed-off-by: Lorenzo Bianconi <[email-masked]>

Hi Lorenzo,

can I clarify that this can actually happen?
What I am getting at, is that if not, it might be net-next material.
In either case, I have no objection to the change itself.

Reviewed-by: Simon Horman <[email-masked]>